Bug#931168: lyskom-elisp-client: fails to install with xemacs21

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#931168: lyskom-elisp-client: fails to install with xemacs21

Andreas Beckmann-4
Package: lyskom-elisp-client
Version: 0.48+git.20180410.1d357c67-1
Severity: serious
User: [hidden email]
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package failed to install if
xemacs21 but no other emacs is installed.

From the attached log (scroll to the bottom...):

  Preparing to unpack .../lyskom-elisp-client_0.48+git.20180410.1d357c67-1_all.deb ...
  Unpacking lyskom-elisp-client (0.48+git.20180410.1d357c67-1) ...
  Setting up lyskom-elisp-client (0.48+git.20180410.1d357c67-1) ...
  Install lyskom-elisp-client for emacs
  install/lyskom-elisp-client: Handling install of emacsen flavor emacs
  install/lyskom-elisp-client: byte-compiling for emacs
  Please wait...
  /usr/lib/emacsen-common/packages/install/lyskom-elisp-client: 19: /usr/lib/emacsen-common/packages/install/lyskom-elisp-client: emacs: not found
  /usr/lib/emacsen-common/packages/install/lyskom-elisp-client emacs xemacs21 failed at /usr/lib/emacsen-common/lib.pl line 19, <TSORT> line 1.
  dpkg: error processing package lyskom-elisp-client (--configure):
   installed lyskom-elisp-client package post-installation script subprocess returned error exit status 2
  Errors were encountered while processing:
   lyskom-elisp-client


cheers,

Andreas

lyskom-elisp-client=0.48+git.20180410.1d357c67-1_xemacs21.log.gz (12K) Download Attachment